Bug 237790 - new poppler-utils package conflicts with xpdf-utils
new poppler-utils package conflicts with xpdf-utils
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 10:03 EDT by Michael Young
Modified: 2008-04-04 04:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 04:44:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Young 2007-04-25 10:03:48 EDT
This is basically Bug 219033 backported to FC5.
When I try to install poppler-utils-0.5.1-3.fc5 I get the errors
        file /usr/bin/pdftoppm from install of poppler-utils-0.5.1-3.fc5
conflicts with file from package xpdf-utils-3.01-12.1
        file /usr/share/man/man1/pdftoppm.1.gz from install of
poppler-utils-0.5.1-3.fc5 conflicts with file from package xpdf-utils-3.01-12.1
Comment 1 Michal Jaegermann 2007-04-25 22:59:33 EDT
To add more "fun" with xpdf installed after 'rpm -e --nodeps xpdf-utils'
yum will install poppler and poppler-utils, no sweat, but now
xpdf package is "broken" as it requires xpdf-utils and poppler-utils
does not provide that.
Comment 2 University of Minnesota School of Math Systems Staff 2007-04-26 17:54:10 EDT
poppler-utils-0.5.1-3.fc5 was updated 4/24 and is the source of the conflict.
Comment 3 Haakon Nilsen 2007-04-30 03:04:23 EDT
This seems to be a repeat of bug 219032 from December. Needs fixing ASAP.
Comment 4 Haakon Nilsen 2007-05-08 05:39:35 EDT
Fixed this manually with 'yum remove poppler-utils xpdf-utils; yum -y update;
yum -y install xpdf beagle'.
Comment 5 Tim Scofield 2007-05-09 14:44:55 EDT
The manual fix from Haakon Nilsen did not work for me - xfig and xpdf are now broken

Removing poppler-utils & xpdf-utils removed the conflicting packages along with
xpdf and xfig. This allowed me to upgrade poppler and poppler-utils, but, per
yum, xfig (Version 3.2.4-17.3.fc5) depends on xpdf (Version 1:3.01-12.1) which
depends on xpdf-utils-3.01-12.1 which conflicts with poppler-utils-0.5.1-3.fc5.
I can not reinstall xfig or xpdf
Comment 6 Tim Scofield 2007-05-09 15:28:17 EDT
I'm begining to see why this bug has not been fixed. 

I did get what I needed installed. Here's the pertinent portion of
/var/log/messages:

May  9 11:55:11 hostname yum: Erased: xfig
May  9 11:55:12 hostname yum: Erased: xpdf-utils
May  9 11:55:12 hostname yum: Erased: xpdf
May  9 11:56:35 hostname yum: Updated: poppler.x86_64 0.5.1-3.fc5
May  9 11:56:35 hostname yum: Updated: poppler-utils.x86_64 0.5.1-3.fc5
May  9 12:51:35 hostname yum: Erased: poppler-utils
May  9 12:51:35 hostname yum: Erased: beagle
May  9 12:57:33 hostname yum: Installed: poppler-utils.x86_64 0.5.1-3.fc5
May  9 12:57:33 hostname yum: Installed: xpdf-utils.x86_64 1:3.01-12.1
May  9 12:57:34 hostname yum: Installed: xpdf.x86_64 1:3.01-12.1
May  9 12:57:36 hostname yum: Installed: xfig.x86_64 3.2.4-17.3.fc5

At some point I started working from two different shells, so the history
command does not give a clear chronology.
Comment 7 Stephen Quinney 2007-05-15 08:52:19 EDT
We have the same problem which means we need to hold-off updating the poppler
packages on hundreds of machines. Any sign of progress on a fix for the file
conflicts?

Comment 8 Bug Zapper 2008-04-04 03:06:21 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Michael Young 2008-04-04 04:44:59 EDT
This isn't an issue on later versions of Fedora, and we don't have any computers
where this is relevant any more, so I am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.